> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ceibo.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List countries

> Returns a paginated list of countries. Supports search by name, filtering by continent, and sorting.



## OpenAPI

````yaml GET /countries
openapi: 3.1.0
info:
  title: Ceibo API
  description: >-
    Travel platform data API: countries, cities, points of interest, walking
    tours, and entry requirements.
  version: 1.0.0
  contact:
    name: Ceibo Support
    email: support@ceibo.me
    url: https://developer.ceibo.me
servers:
  - url: https://api.ceibo.me/v1
    description: Production
security:
  - apiKey: []
paths:
  /countries:
    get:
      summary: List countries
      description: >-
        Returns a paginated list of countries. Supports search by name,
        filtering by continent, and sorting.
      parameters:
        - name: search
          in: query
          description: Free-text match against the country name.
          required: false
          schema:
            type: string
        - name: continent
          in: query
          description: Filter to a single continent.
          required: false
          schema:
            type: string
            enum:
              - Africa
              - Antarctica
              - Asia
              - Europe
              - North America
              - Oceania
              - South America
        - name: sortBy
          in: query
          required: false
          schema:
            type: string
            enum:
              - name
              - iso2
              - iso3
              - continent
        - name: sortOrder
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
      responses:
        '200':
          description: Paginated list of countries.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCountries'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    PaginatedCountries:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Country'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    Country:
      type: object
      required:
        - id
        - name
        - iso2
      properties:
        id:
          type: integer
          example: 10
        name:
          type: string
          example: Argentina
        iso2:
          type: string
          minLength: 2
          maxLength: 2
          example: AR
        iso3:
          type:
            - string
            - 'null'
          minLength: 3
          maxLength: 3
          example: ARG
        localName:
          type:
            - string
            - 'null'
          example: República Argentina
        continent:
          type:
            - string
            - 'null'
          enum:
            - Africa
            - Antarctica
            - Asia
            - Europe
            - North America
            - Oceania
            - South America
            - null
          example: South America
        officialVisaPage:
          type:
            - string
            - 'null'
          example: https://www.argentina.gob.ar/interior/migraciones
        primaryLanguageId:
          type:
            - integer
            - 'null'
          example: 1
        holidaysWebsiteUrl:
          type:
            - string
            - 'null'
          example: https://www.argentina.gob.ar/feriados
        officialWebsiteUrl:
          type:
            - string
            - 'null'
          example: https://www.argentina.gob.ar
    PaginationMeta:
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
      properties:
        page:
          type: integer
          example: 1
        limit:
          type: integer
          example: 20
        total:
          type: integer
          example: 195
        totalPages:
          type: integer
          example: 10
    Error:
      type: object
      required:
        - statusCode
        - code
        - message
        - timestamp
        - path
      properties:
        statusCode:
          type: integer
          example: 404
        code:
          type: string
          example: NOT_FOUND
        message:
          type: string
          example: Country with id 9999 not found
        timestamp:
          type: string
          format: date-time
          example: '2026-04-30T10:00:00.000Z'
        path:
          type: string
          example: /v1/countries/9999
  responses:
    Unauthorized:
      description: Missing, malformed, revoked, or unknown API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: Tier quota or burst limit exceeded.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key minted at developer.ceibo.me. Send on every request.

````